/splitwise | Type: Application | PCID required: Yes
Tools
splitwise_add_user_to_group
Add a user to a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
splitwise_create_comment
Create a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
content | string | No | — | The content value |
expense_id | integer | No | — | Expense Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"content": {
"type": "string",
"description": "The content value"
},
"expense_id": {
"type": "integer",
"description": "Expense Id"
}
},
"required": [
"PCID"
]
}
splitwise_create_expense
Create an expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
splitwise_create_friend
Add a friend Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_email | string | No | — | User Email |
user_first_name | string | No | — | User First Name |
user_last_name | string | No | — | User Last Name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"user_email": {
"type": "string",
"description": "User Email"
},
"user_first_name": {
"type": "string",
"description": "User First Name"
},
"user_last_name": {
"type": "string",
"description": "User Last Name"
}
},
"required": [
"PCID"
]
}
splitwise_create_friends
Add friends Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
splitwise_create_group
Create a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
splitwise_delete_comment
Delete a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_delete_expense
Delete an expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the expense to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the expense to delete"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_delete_friend
Delete friendship Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | User ID of the friend |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "User ID of the friend"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_delete_group
Delete a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_get_categories
Supported categoriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
splitwise_get_comments
Get expense comments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expense_id | integer | Yes | — | Expense Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"expense_id": {
"type": "integer",
"description": "Expense Id"
}
},
"required": [
"PCID",
"expense_id"
]
}
splitwise_get_currencies
Supported currenciesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
splitwise_get_current_user
Get information about the current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
splitwise_get_expense
Get expense information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_get_expenses
List the current user’s expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | integer | No | — | If provided, only expenses in that group will be returned, and friend_id will be ignored. |
friend_id | integer | No | — | ID of another user. If provided, only expenses between the current and provided user will be returned. |
dated_after | string | No | — | Dated After |
dated_before | string | No | — | Dated Before |
updated_after | string | No | — | Updated After |
updated_before | string | No | — | Updated Before |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "integer",
"description": "If provided, only expenses in that group will be returned, and `friend_id` will be ignored."
},
"friend_id": {
"type": "integer",
"description": "ID of another user. If provided, only expenses between the current and provided user will be returned."
},
"dated_after": {
"type": "string",
"description": "Dated After"
},
"dated_before": {
"type": "string",
"description": "Dated Before"
},
"updated_after": {
"type": "string",
"description": "Updated After"
},
"updated_before": {
"type": "string",
"description": "Updated Before"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"offset": {
"type": "integer",
"description": "The offset value"
}
},
"required": [
"PCID"
]
}
splitwise_get_friend
Get details about a friend Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | User ID of the friend |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "User ID of the friend"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_get_friends
List current user’s friendsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
splitwise_get_group
Get information about a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_get_groups
List the current user’s groupsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
splitwise_get_notifications
Get notifications Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
updated_after | string | No | — | If provided, returns only notifications after this time. |
limit | integer | No | — | Omit (or provide 0) to get the maximum number of notifications. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"updated_after": {
"type": "string",
"description": "If provided, returns only notifications after this time."
},
"limit": {
"type": "integer",
"description": "Omit (or provide `0`) to get the maximum number of notifications."
}
},
"required": [
"PCID"
]
}
splitwise_get_user
Get information about another user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_remove_user_from_group
Remove a user from a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | integer | Yes | — | Group Id |
user_id | integer | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "integer",
"description": "Group Id"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID",
"group_id",
"user_id"
]
}
splitwise_undelete_expense
Restore an expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the expense to restore |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the expense to restore"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_undelete_group
Restore a group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
splitwise_update_expense
Update an expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the expense to update |
category_id | integer | No | — | A category id from get_categories |
cost | string | Yes | — | A string representation of a decimal value, limited to 2 decimal places |
currency_code | string | No | — | A currency code. Must be in the list from get_currencies |
date | string | No | — | The date and time the expense took place. May differ from created_at |
description | string | Yes | — | A short description of the expense |
details | string | No | — | Also known as “notes.” |
group_id | integer | Yes | — | The group to put this expense in, or 0 to create an expense outside of a group. |
repeat_interval | string | No | — | Repeat Interval |
users__0__owed_share | string | No | — | Decimal amount as a string with 2 decimal places. The amount this user owes for the expense |
users__0__paid_share | string | No | — | Decimal amount as a string with 2 decimal places. The amount this user paid for the expense |
users__0__user_id | integer | No | — | Users 0 User Id |
users__1__email | string | No | — | Users 1 Email |
users__1__first_name | string | No | — | Users 1 First Name |
users__1__last_name | string | No | — | Users 1 Last Name |
users__1__owed_share | string | No | — | Decimal amount as a string with 2 decimal places. The amount this user owes for the expense |
users__1__paid_share | string | No | — | Decimal amount as a string with 2 decimal places. The amount this user paid for the expense |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the expense to update"
},
"category_id": {
"type": "integer",
"description": "A category id from `get_categories`"
},
"cost": {
"type": "string",
"description": "A string representation of a decimal value, limited to 2 decimal places"
},
"currency_code": {
"type": "string",
"description": "A currency code. Must be in the list from `get_currencies`"
},
"date": {
"type": "string",
"description": "The date and time the expense took place. May differ from `created_at`"
},
"description": {
"type": "string",
"description": "A short description of the expense"
},
"details": {
"type": "string",
"description": "Also known as \"notes.\""
},
"group_id": {
"type": "integer",
"description": "The group to put this expense in, or `0` to create an expense outside of a group."
},
"repeat_interval": {
"type": "string",
"description": "Repeat Interval",
"enum": [
"never",
"weekly",
"fortnightly",
"monthly",
"yearly"
]
},
"users__0__owed_share": {
"type": "string",
"description": "Decimal amount as a string with 2 decimal places. The amount this user owes for the expense"
},
"users__0__paid_share": {
"type": "string",
"description": "Decimal amount as a string with 2 decimal places. The amount this user paid for the expense"
},
"users__0__user_id": {
"type": "integer",
"description": "Users 0 User Id"
},
"users__1__email": {
"type": "string",
"description": "Users 1 Email"
},
"users__1__first_name": {
"type": "string",
"description": "Users 1 First Name"
},
"users__1__last_name": {
"type": "string",
"description": "Users 1 Last Name"
},
"users__1__owed_share": {
"type": "string",
"description": "Decimal amount as a string with 2 decimal places. The amount this user owes for the expense"
},
"users__1__paid_share": {
"type": "string",
"description": "Decimal amount as a string with 2 decimal places. The amount this user paid for the expense"
}
},
"required": [
"PCID",
"id",
"cost",
"description",
"group_id"
]
}
splitwise_update_user
Update a user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"id",
"body"
]
}

